// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Database.Designer {
    
    
    public partial class PrimaryKeyConstraintEditorWidget {
        
        private Gtk.HPaned hpaned;
        
        private Gtk.VBox vbox3;
        
        private Gtk.ScrolledWindow windowPK;
        
        private Gtk.TreeView listPK;
        
        private Gtk.HButtonBox hbuttonbox;
        
        private Gtk.Button buttonAdd;
        
        private Gtk.Button buttonRemove;
        
        private MonoDevelop.Database.Components.SelectColumnWidget columnSelecter;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Database.Designer.PrimaryKeyConstraintEditorWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Database.Designer.PrimaryKeyConstraintEditorWidget";
            // Container child MonoDevelop.Database.Designer.PrimaryKeyConstraintEditorWidget.Gtk.Container+ContainerChild
            this.hpaned = new Gtk.HPaned();
            this.hpaned.CanFocus = true;
            this.hpaned.Name = "hpaned";
            this.hpaned.Position = 293;
            // Container child hpaned.Gtk.Paned+PanedChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.windowPK = new Gtk.ScrolledWindow();
            this.windowPK.CanFocus = true;
            this.windowPK.Name = "windowPK";
            this.windowPK.ShadowType = ((Gtk.ShadowType)(1));
            // Container child windowPK.Gtk.Container+ContainerChild
            this.listPK = new Gtk.TreeView();
            this.listPK.CanFocus = true;
            this.listPK.Name = "listPK";
            this.windowPK.Add(this.listPK);
            this.vbox3.Add(this.windowPK);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox3[this.windowPK]));
            w2.Position = 0;
            // Container child vbox3.Gtk.Box+BoxChild
            this.hbuttonbox = new Gtk.HButtonBox();
            this.hbuttonbox.Name = "hbuttonbox";
            this.hbuttonbox.Spacing = 6;
            this.hbuttonbox.LayoutStyle = ((Gtk.ButtonBoxStyle)(3));
            // Container child hbuttonbox.Gtk.ButtonBox+ButtonBoxChild
            this.buttonAdd = new Gtk.Button();
            this.buttonAdd.CanFocus = true;
            this.buttonAdd.Name = "buttonAdd";
            this.buttonAdd.UseStock = true;
            this.buttonAdd.UseUnderline = true;
            this.buttonAdd.Label = "gtk-add";
            this.hbuttonbox.Add(this.buttonAdd);
            Gtk.ButtonBox.ButtonBoxChild w3 = ((Gtk.ButtonBox.ButtonBoxChild)(this.hbuttonbox[this.buttonAdd]));
            w3.Expand = false;
            w3.Fill = false;
            // Container child hbuttonbox.Gtk.ButtonBox+ButtonBoxChild
            this.buttonRemove = new Gtk.Button();
            this.buttonRemove.Sensitive = false;
            this.buttonRemove.CanFocus = true;
            this.buttonRemove.Name = "buttonRemove";
            this.buttonRemove.UseStock = true;
            this.buttonRemove.UseUnderline = true;
            this.buttonRemove.Label = "gtk-remove";
            this.hbuttonbox.Add(this.buttonRemove);
            Gtk.ButtonBox.ButtonBoxChild w4 = ((Gtk.ButtonBox.ButtonBoxChild)(this.hbuttonbox[this.buttonRemove]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            this.vbox3.Add(this.hbuttonbox);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox3[this.hbuttonbox]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            this.hpaned.Add(this.vbox3);
            Gtk.Paned.PanedChild w6 = ((Gtk.Paned.PanedChild)(this.hpaned[this.vbox3]));
            w6.Resize = false;
            // Container child hpaned.Gtk.Paned+PanedChild
            this.columnSelecter = new MonoDevelop.Database.Components.SelectColumnWidget();
            this.columnSelecter.Sensitive = false;
            this.columnSelecter.CanFocus = true;
            this.columnSelecter.Name = "columnSelecter";
            this.columnSelecter.ShadowType = ((Gtk.ShadowType)(1));
            this.columnSelecter.SingleCheck = false;
            this.hpaned.Add(this.columnSelecter);
            this.Add(this.hpaned);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.buttonAdd.Clicked += new System.EventHandler(this.AddClicked);
            this.buttonRemove.Clicked += new System.EventHandler(this.RemoveClicked);
        }
    }
}
